import request from '@/utils/request'
import holmesRequest from '@/utils/holmesRequest'

export function kdspDecrypt(queryInfo) {
  return request({
    url: '/kdsp/decrypt',
    method: 'get',
    params: queryInfo
  })
}

export function getBuildList(queryInfo) {
  return request({
    url: '/jenkins/buildlist',
    method: 'get',
    params: queryInfo
  })
}

export function getJobList() {
  return request({
    url: '/jenkins/joblist',
    method: 'get'
  })
}

export function addWhiteList(queryInfo) {
  return request({
    url: '/common/whitelist',
    method: 'get',
    params: queryInfo
  })
}

export function getLoginInfoList(queryInfo) {
  return request({
    url: '/common/logininfo/list',
    method: 'get',
    params: queryInfo
  })
}

export function getClearCacheList(queryInfo) {
  return holmesRequest({
    url: '/effect/cacheList',
    method: 'get',
    params: queryInfo
  })
}

export function clearCache(queryInfo) {
  return holmesRequest({
    url: '/effect/clearcache',
    method: 'get',
    params: queryInfo
  })
}

export function clearData(dataInfo) {
  return request({
    url: '/cleardata',
    method: 'get',
    params: dataInfo
  })
}
